## NAME

           pssegy - Create imagemasked postscript from SEGY file

## SYNOPSIS

           pssegy   SEGYfile   -Jparameters   -Rwest/east/south/north  -Ddeviation
           -F[rgb|gray]|-W [ -Bbias ] [ -Cclip ] [ -Eerror ] [  -I  ]  [  -K  ]  [
           -Lnsamp ] [ -Mntrace ] [ -N ] [ -O ] [ -P ] [ -Sheader ] [ -Tfilename ]
           [ -Uredvel ] [ -V  ] [ -Xscale ] [ -Ysample int ] [ -Z ]

## DESCRIPTION

           pssegy reads a native (IEEE) format SEGY file and produces a PostScript
           image  of  the seismic data. The imagemask operator is used so that the
           seismic data are plotted as a 1-bit deep bitmap in a single (user-spec-
           ified)  color or gray shade, with a transparent background.  The bitmap
           resolution is taken from the current GMT defaults.  The seismic  traces
           may  be  plotted at their true locations using information in the trace
           headers (in which case order of the traces in the file is not  signifi-
           cant).
            Standard  GMT  geometry routines are used so that in principle any map
           projection may be used, however it is likely that the  geographic  pro-
           jections will lead to unexpected results. Beware also that some parame-
           ters have non-standard meanings.  Note that  the  order  of  operations
           before the seismic data are plotted is deviation*[clip]([bias]+[normal-
           ize](sample value)). Deviation determines how far in the  plot  coordi-
           nates  a [normalized][biased][clipped] sample value of 1 plots from the
           trace location.  The SEGY file should be a disk image of the tape  for-
           mat  (ie  3200 byte text header, which is ignored, 400 byte binary reel
           header, and 240 byte header for each  trace)  with  samples  as  native
           real*4 (IEEE real on all the platforms to which I have access)

           SEGYfile
                  Seismic data set to be imaged

           -J     Selects  the  map  projection. Scale is UNIT/degree, 1:xxxxx, or
                  width in UNIT (upper case modifier).  UNIT is cm,  inch,  or  m,
                  depending on the MEASURE_UNIT setting in .gmtdefaults4, but this
                  can be overridden on the command line by appending c, i, or m to
                  the  scale/width  value.   For map height, max dimension, or min
                  dimension, append h, +, or - to the width, respectively.

                  CYLINDRICAL PROJECTIONS:

                  -Jclon0/lat0/scale (Cassini)
                  -Jjlon0/scale (Miller)
                  -Jmscale (Mercator - Greenwich and Equator as origin)
                  -Jmlon0/lat0/scale (Mercator - Give meridian and standard paral-
                  lel)
                  -Joalon0/lat0/azimuth/scale   (Oblique   Mercator  -  point  and
                  azimuth)
                  -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
                  -Joclon0/lat0/lonp/latp/scale  (Oblique  Mercator  -  point  and
                  pole)
                  -Jqlon0/scale  (Equidistant  Cylindrical  Projection (Plate Car-
                  ree))
                  -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)

                  CONIC PROJECTIONS:

                  -Jblon0/lat0/lat1/lat2/scale (Albers)
                  -Jdlon0/lat0/lat1/lat2/scale (Equidistant)
                  -Jllon0/lat0/lat1/lat2/scale (Lambert)

                  MISCELLANEOUS PROJECTIONS:

                  -Jhlon0/scale (Hammer)
                  -Jilon0/scale (Sinusoidal)
                  -Jk[f|s]lon0/scale (Eckert IV (f) and VI (s))
                  -Jnlon0/scale (Robinson)
                  -Jrlon0/scale (Winkel Tripel)
                  -Jvlon0/scale (Van der Grinten)
                  -Jwlon0/scale (Mollweide)

                  NON-GEOGRAPHICAL PROJECTIONS:

                  -Jp[a]scale[/origin] (polar (theta,r)  coordinates,  optional  a
                  for azimuths and offset theta [0])
                  -Jxx-scale[l|ppow][/y-scale[l|ppow]][d]  (Linear, log, and power
                  scaling)
                  More details can be found in the psbasemap man pages.

           -R     xmin, xmax, ymin, and ymax specify the Region of  interest.  For
                  geographic  regions,  these  limits  correspond  to  west, east,
                  south, and north and you may specify them in decimal degrees  or
                  in  [+-]dd:mm[:ss.xxx][W|E|S|N]  format.  Append r if lower left
                  and upper right map coordinates are given instead of  wesn.  The
                  two  shorthands  -Rg  -Rd  stand  for  global  domain  (0/360 or
                  -180/+180 in longitude respectively, with -90/+90 in  latitude).
                  For  calendar time coordinates you may either give relative time
                  (relative  to  the  selected  TIME_EPOCH  and  in  the  selected
                  TIME_UNIT;  append  t  to  -JX|x),  or absolute time of the form
                  [date]T[clock] (append T to -JX|x). At least  one  of  date  and
                  clock must be present; the T is always required. The date string
                  must be of the form [-]yyyy[-mm[-dd]]  (Gregorian  calendar)  or
                  yyyy[-Www[-d]]  (ISO week calendar), while the clock string must
                  be of the form hh:mm:ss[.xxx]. The use of delimiters  and  their
                  type  and  positions must be as indicated (however, input/output
                  and plotting formats are flexible).

           -D     gives the deviation in X units of the plot for 1.0 on the scaled
                  trace.

           -F[rgb|gray]
                  Fill trace (variable area, defaults to filling positive). rgb or
                  gray gives the color with which the imagemask is filled.

           -W     Draw wiggle trace.

            Must specify at least one of -W and -F.

## OPTIONS

           -K     More PostScript code will be appended later [Default  terminates
                  the plot system].

           -L     Override  number  of  samples  per trace in reel header (program
                  attempts to determine number of samples from each  trace  header
                  if possible to allow for variable length traces).

           -M     Override  number  of  traces  specified  in reel header. Program
                  detects end of file (relatively) gracefully, but this  parameter
                  limits number of traces that the program attempts to read.

           -N     Normalize  trace  by  dividing  by rms amplitude over full trace
                  length.

           -O     Selects Overlay plot mode [Default initializes a new  plot  sys-
                  tem].

           -P     Selects  Portrait  plotting  mode [GMT Default is Landscape, see
                  gmtdefaults to change this].

           -S     Read trace locations from trace headers: header is either c  for
                  CDP,  o  for  offset,  or b<num> to read a long starting at byte
                  <num> in the header (first byte corresponds to  num=0).  Default
                  has location given by trace number.

           -T     Plot  only  traces whose location corresponds to a list given in
                  filename.  Order in which traces are listed is not significant -
                  the entire space is checked for each trace.

           -U     Apply  reduction  velocity  by  shifting  traces upwards by red-
                  vel/|offset|.  Negative  velocity  removes  existing  reduction.
                  Units  should be consistent with offset in trace header and sam-
                  ple interval.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -X     Multiply trace locations by scale before plotting.

           -Y     Override sample interval in reel header.

           -Z     Do not plot traces with zero rms amplitude.

## EXAMPLES

           To  plot  the SEGY file wa1.segy with normalized traces plotted at true
           offset locations, clipped at +-3 and with  wiggle  trace  and  positive
           variable area shading in black, use

           pssegy wa1.segy -JX5/-5 -R0/100/0/10 -D1 -C3 -N -So -W -F0 > segy.ps

           To  plot  the  SEGY  file wa1.segy with traces plotted at true cdp*0.1,
           clipped at +-3, with bias -1 and negative variable area shaded red, use

           pssegy  wa1.segy  -JX5/-5 -R0/100/0/10 -D1 -C3 -Sc -X0.1 -F255/0/0 -B-1